<?php


/*
define("HOSTNAME_", "localhost");
define("USERNAME_", "root");
define("PASSWORD_", "");
define("DATABASE_", "coupon");
*/

class config 
{

const HOSTNAME_ = "localhost";
const USERNAME_ = "homefqic_retailruser";
const PASSWORD_ = "fdfaB7#00aL";
const DATABASE_ = "homefqic_newsitemain";

protected $_hostname = self::HOSTNAME_;
protected $_username = self::USERNAME_;
protected $_password = self::PASSWORD_;
protected $_database = self::DATABASE_;


/*
protected $_hostname = HOSTNAME_;
protected $_username = USERNAME_;
protected $_password = PASSWORD_;
protected $_database = DATABASE_;
*/
	public function __construct()
	{
		$this->_hostname;
		$this->_username;
		$this->_password;
		$this->_database;
		
//		$mysqli = new mysqli("localhost","my_user","my_password","my_db");
		$mysqli = new mysqli($this->_hostname, $this->_username, $this->_password,$this->_database);
		
		//$con = mysqli_connect($this->_hostname, $this->_username, $this->_password);
		//$db = mysql_select_db($this->_database);
	
	}

	public function _conni()
	{
		$this->_hostname;
		$this->_username;
		$this->_password;
		$this->_database;
		
//		$mysqli = new mysqli("localhost","my_user","my_password","my_db");
		$mysqli = new mysqli($this->_hostname, $this->_username, $this->_password,$this->_database);
		return $mysqli;
		//$con = mysqli_connect($this->_hostname, $this->_username, $this->_password);
		//$db = mysql_select_db($this->_database);
	
	}
} // end class
?>